/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswClassFactory
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Implementation of IClassFactory via CAswClassFactory, which is contained
 *    by CAswObjectClass.
 *
 *****************************************************************************/

#ifndef ASCLSFAC_H
#define ASCLSFAC_H
#include <aspack.h>
class CAswClassFactory : public CAswIClassFactory
{
public:
   CAswClassFactory(PASWCONTROL     pControl,
                    PASWCOMBASE     pCOMBase,
                    PASWOBJECTCLASS pObjClass);
   ~CAswClassFactory(void);
   STDMETHOD(CreateInstance)(LPUNKNOWN    pUnkOuter,
                             REFIID       riid,
                             LPVOID FAR*  ppvObject);
   STDMETHOD(LockServer)(BOOL fLock);
private:
   PASWOBJECTCLASS const   m_pObjClass;
};
#include <aspop.h>
#endif 
