/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswExternalConnectionImpl
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Implement the IExternalConnection interface
 *
 *****************************************************************************/

#ifndef ASIEXTRN_H
#define ASIEXTRN_H
class CAswExternalConnectionImpl : public CAswIExternalConnection
{
public:
   CAswExternalConnectionImpl(PASWCONTROL         pCtl,
                              PASWCOMBASE         pCOMBase,
                              PASWOBJECTINSTANCE  pObjInstance);
   ~CAswExternalConnectionImpl(void);
   STDMETHOD_(DWORD, AddConnection) (DWORD extconn, DWORD reserved);
   STDMETHOD_(DWORD, ReleaseConnection) (DWORD extconn, 
                                         DWORD reserved,
                                         BOOL  fLastReleaseCloses);
   void ClearCount(void);
private:
   PASWOBJECTINSTANCE const   m_pObjInstance;
   DWORD                      m_dwCount;
};
#endif
