/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswOleInPlaceObjectImpl
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Implementation in the IOleInPlaceObject interface
 *
 *****************************************************************************/

#ifndef ASIIPO_H
#define ASIIPO_H
#include <aspack.h>
class CAswOleInPlaceObjectImpl : public CAswIOleInPlaceObject
{
public:
   CAswOleInPlaceObjectImpl(PASWCONTROL         pCtl,
                            PASWCOMBASE         pCOMBase,
                            PASWOBJECTINSTANCE  pObjInstance);
   ~CAswOleInPlaceObjectImpl(void);
   STDMETHOD(GetWindow) (HWND FAR * lphwnd);
   STDMETHOD(ContextSensitiveHelp) (BOOL fEnterMode);
   STDMETHOD(InPlaceDeactivate) (void);   
   STDMETHOD(UIDeactivate) (void);
   STDMETHOD(SetObjectRects) (LPCRECT lprcPosRect, LPCRECT lprcClipRect);
   STDMETHOD(ReactivateAndUndo) (void);   
private:
	inline PASWOBJECTINSTANCE GetObjectInstance(void)
	{
		return(m_pObjInstance);
	}
   PASWOBJECTINSTANCE const   m_pObjInstance;
};
#include <aspop.h>
#endif 
