/* NOSHIP */
/*****************************************************************************
 *
 * asmsgqsz.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:   Header file for Aswan Windows Message Queue sizing
 *
 *****************************************************************************/

#if !defined(ASMSGQSZ_H)
#define ASMSGQSZ_H
const UINT ASWMSGQSIZE_MIN     = 96;
const UINT ASWMSGQSIZE_MAX     = 120;
const UINT ASWMSGQSIZE_STEP    = 8;
const UINT ASWMSGQSIZE_DEFAULT = ASWMSGQSIZE_MIN;
UINT ASWPUBFUNC AswSetMessageQueueSize( UINT uiMessageQueueSize );
#include <aspack1.h>
#ifdef __cplusplus
extern "C" {
#endif
typedef struct
{
   WORD  next;                   
   DWORD sssp;                   
   WORD  nevents;                
   WORD  priority;               
   WORD  unknown1;               
   WORD  hTask;                  
   WORD  unknown2[ 3 ];          
   WORD  fpcw;                   
   WORD  flags;                  
   WORD  errmode;                
   WORD  expWinVer;              
   WORD  hInstance;              
   WORD  hModule;                
   WORD  hQueue;                 
   WORD  hParent;                
   WORD  SetSigHandlerFlag;      
   DWORD SetSigHandlerProc;      
   DWORD signalProc;             
   DWORD gdiscardProc;           
   DWORD int0Proc;               
   DWORD int2Proc;               
   DWORD int4Proc;               
   DWORD int6Proc;               
   DWORD int7Proc;               
   DWORD int3EProc;              
   DWORD int75Proc;              
   DWORD Comptability;           
   char  unknown4[ 0x0E ];       
   WORD  pdb;                    
   DWORD dta;                    
   BYTE  currDrive;              
   char  currDir[ 0x43 ];        
   WORD  directedYieldHTask;     
   WORD  libraryListSeg;         
   WORD  libraryListOffset;      
   WORD  codeAlias;              
   WORD  moreProcThunks;         
   WORD  procThunksSig;          
   WORD  unknown6;               
   WORD  nextAvailableThunk;     
   char  procThunkData[ 0x38 ];  
   char  moduleName[ 8 ];        
   WORD  signature;              
} 
   TASK_DB;
typedef struct
{
   WORD  Next;                   
   WORD  hTask;                  
   WORD  msgSize;                
   WORD  msgCount;               
   WORD  nextMessageOffset;      
   WORD  nextFreeMessageOffset;  
   WORD  endOfQueue;             
   DWORD GetMessageTimeRetval;   
   DWORD GetMessagePosRetval;    
   WORD  messageQueueStart;      
}  
   MESSAGEQUEUE;
#ifdef __cplusplus
}
#endif
#include <aspop.h>
#endif
