/* NOSHIP */
/*****************************************************************************
 *
 * assrvacl.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * LIST OF CLASSES IN THIS FILE
 *      CAswServAccel
 *
 * Description:
 *    Support for CAswServAccel, the in-place server accelerator manager class.
 *
 *****************************************************************************/

#ifndef ASSRVACL_H
#define ASSRVACL_H
#include <aspack.h>
class ASWPUBCLASS CAswServAccel : public CAswCtlBase
{
public:
   ASWPUBMETHOD CAswServAccel( PASWCONTROL lpControl ); 
   ASWPUBMETHOD ~CAswServAccel(void); 
   CAswResult ASWPUBMETHOD Setup( void ); 
   virtual CAswResult ASWPUBMETHOD Shutdown(BOOL fEmergency = FALSE); 
   BOOL ASWPUBMETHOD HandleContainersAccel( LPMSG lpMsg ); 
   void ASWPUBMETHOD SetInPlaceAccelTable(HACCEL hAccel, UINT cAccelEntries); 
   virtual void ASWPUBMETHOD GetInPlaceAccelTable(PHACCEL lphAccel,LPINT lpcAccelEntries); 
   virtual HRESULT ASWPUBMETHOD TranslateAccelerator(LPMSG lpmsg, WORD wID); 
private:
};
#include <aspop.h>
#endif      
