/* NOSHIP */
/*******************************************************************************
* FILE NAME: icompfac.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IComponentFactory                                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ICOMPFAC_
#define _ICOMPFAC_

/*******************************************************************************
*                                                                              *
*   Class IComponentFactory                                                    *
*                                                                              *
*   This is a class factory for IComponents                                    *
*                                                                              *
*******************************************************************************/

class IComponentFactory : public CAswObjectClass
{

public:
// Constuction/Destruction
    IComponentFactory( PASWCONTROL pControl );
    ~IComponentFactory();

// Private members


// Public Methods
   virtual CAswResult       CreateInstance( LPUNKNOWN pUnkOuter, PASWCOMBASE ASWPTR * ppCOMBase );



// Private methods



}; // class IComponentFactory

#endif
