/* NOSHIP */
/*****************************************************************************
 *
 * File: LSRDEFS.CPP
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Desc: General Definitions for Registry subsystem
 *
 *****************************************************************************/

#if !defined(LSRDEFS_HPP)
#define		 LSRDEFS_HPP
#include "lsdefine.h"
#if LSAPI_ANYWIN
#define LSR_ENABLED 1
#if LSAPI_WIN16
#if !defined(DISPID_CONSTRUCTOR)
#define DISPID_CONSTRUCTOR	(-6)
#endif
#if !defined(DISPID_DESTRUCTOR)
#define DISPID_DESTRUCTOR	(-7)
#endif
#endif
#include "lsrole.hpp"
#include "lsitype.h"
#define interfaces	public
#define properties	private
#ifndef FARCLASS
# ifdef __TURBOC__
#  define FARCLASS class huge
# else
#  define FARCLASS class LS_DT_FAR_
# endif
#endif
#define LSR_Ignore(param)		LSignore(param)
#ifdef DEBUG
#include <assert.h>
#define LSR_Assert(cond)		assert(cond)
#define LSR_AssertAlways(msg)	assert(!msg)
#else
#define LSR_Assert(cond)
#define LSR_AssertAlways(msg)
#endif
#define IPURE	=0
#define IFACEMETH(mthName)					STDMETHOD(mthName)
#define IFACEMETH_(retType, mthName)	STDMETHOD_(retType, mthName)
#define IFACEMETHIMP		 STDMETHODIMP
#define IFACEMETHIMP_(r) STDMETHODIMP_(r)
#define SAFE_RELEASE(p)	\
								if (LSNULL != p)	\
								{						\
									p->Release();	\
									p = LSNULL;		\
								}
typedef	LSUNISTR		LSRSTRING;
#else
#undef LSR_ENABLED
#endif
#endif
