/* NOSHIP */
/*****************************************************************************
 *
 * File: LSROLE.HPP
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Desc: Standard OLE include files
 *
 *****************************************************************************/

#if !defined(LSROLE_HPP)
#define LSROLE_HPP
#if LSR_ENABLED
#define NOSOUND           Sound APIs and definitions
#define NOCOMM            Comm driver APIs and definitions
#define NODRIVERS         Installable driver APIs and definitions
#define NOMINMAX          min() and max() macros
#define NOLOGERROR        LogError() and related definitions
#define NOPROFILER        Profiler APIs
#define NOMEMMGR          Local and global memory management
#define NOLFILEIO         _l* file I/O routines
#define NOOPENFILE        OpenFile and related definitions
#define NORESOURCE        Resource management
#define NOATOM            Atom management
#define NOLANGUAGE        Character test routines
#define NOLSTRING         lstr* string management routines
#define NODBCS            Double-byte character set routines
#define NOKEYBOARDINFO    Keyboard driver routines
#define NOGDICAPMASKS     GDI device capability constants
#define NOCOLOR           COLOR_* color values
#define NODRAWTEXT        DrawText() and related definitions
#define NOTEXTMETRIC      TEXTMETRIC and related APIs
#define NOSCALABLEFONT    Truetype scalable font support
#define NOBITMAP          Bitmap support
#define NORASTEROPS       GDI Raster operation definitions
#define NOMETAFILE        Metafile support
#define NOSYSMETRICS      GetSystemMetrics() and related SM_* definitions
#define NOSYSTEMPARAMSINFO SystemParametersInfo() and SPI_* definitions
#define NOWINSTYLES       Window style definitions
#define NOWINOFFSETS      Get/SetWindowWord/Long offset definitions
#define NOSHOWWINDOW      ShowWindow and related definitions
#define NODEFERWINDOWPOS  DeferWindowPos and related definitions
#define NOVIRTUALKEYCODES VK_* virtual key codes
#define NOKEYSTATES       MK_* message key state flags
#define NOWH              SetWindowsHook and related WH_* definitions
#define NOMENUS           Menu APIs
#define NOSCROLL          Scrolling APIs and scroll bar control
#define NOCLIPBOARD       Clipboard APIs and definitions
#define NOICONS           IDI_* icon IDs
#define NOSYSCOMMANDS     WM_SYSCOMMAND SC_* definitions
#define NOMDI             MDI support
#define NOCTLMGR          Control management and controls
#define NOWINMESSAGES     WM_* window messages
#define NOHELP            Help support
#if LSAPI_ANYWIN
#define NOKANJI           - Kanji support stuff.
#define NOSERVICE         - All Service Controller routines, SERVICE_ equates, etc.
#define OEMRESOURCE       - OEM Resource values
#endif
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#if LSAPI_WIN16
	#include <ole2.h>
	#include <olenls.h>
   #include <dispatch.h>
#elif LSAPI_ANYWIN32
	#include <ole2.h>
#else
	#error LSROLE: No automation header for platform!
#endif
#if LSAPI_WIN16
typedef char			OLECHAR;
typedef LPSTR			LPOLESTR;
typedef LPCSTR			LPCOLESTR;
#define OLESTR(str)	str
#endif
#endif
#endif
