/* NOSHIP */

/*************************************************************************
**
** asmsgftr.h
**
** Copyright (c) 1990,1995 Microsoft Corp.  All Rights Reserved
**               (derived from MSGFILTR.H)
** Copyright (c) 1995,1996 Lotus Development Corporation. All Rights Reserved
**
** Description:
**    This file contains Private definitions, structures, types, and
**    function prototypes for the OleStdMessageFilter implementation of
**    the IMessageFilter interface.
**    This file is part of the OLE 2.0 User Interface support library.
**
*************************************************************************/

#if !defined( _ASMSGFTR_H_ )
#define _ASMSGFTR_H_
#include <aspack.h>     
#ifndef CALLBACK_PTR  
#if !defined(LTSOS2)
   #define CALLBACK_PTR CALLBACK *
#else
   #define CALLBACK_PTR * CALLBACK
#endif
#endif 
typedef BOOL (CALLBACK_PTR MSGPENDINGPROC)(MSG FAR *);
typedef DWORD (CALLBACK_PTR HANDLEINCOMINGCALLBACKPROC)
   (
      DWORD               dwCallType,
      HTASK               htaskCaller,
      DWORD               dwTickCount,
      LPINTERFACEINFO     lpInterfaceInfo
   );
typedef BOOL (CALLBACK_PTR ASWMSGPENDINGPROC)(MSG FAR *, DWORD);
typedef DWORD (CALLBACK_PTR ASWHANDLEINCOMINGCALLBACKPROC)
   (
      DWORD               dwCallType,
      HTASK               htaskCaller,
      DWORD               dwTickCount,
      LPINTERFACEINFO     lpInterfaceInfo,
      DWORD               dwCookie
   );
STDAPI_(STDEXPORT LPMESSAGEFILTER) AswMsgFilter_Create(
      HWND              hWndParent,
      LPASWOLESTR          szAppName,
      ASWMSGPENDINGPROC lpfnCallback,
      LPFNOLEUIHOOK     lpfnOleUIHook, 
      DWORD             dwCookie       
);
STDAPI_(STDEXPORT ASWHANDLEINCOMINGCALLBACKPROC)
   AswMsgFilter_SetHandleInComingCallbackProc(
      LPMESSAGEFILTER               lpThis,
      ASWHANDLEINCOMINGCALLBACKPROC lpfnAswHandleInComingCallback);
STDAPI_(STDEXPORT LPMESSAGEFILTER) OleStdMsgFilter_Create(
      HWND hWndParent,
      LPASWOLESTR szAppName,
      MSGPENDINGPROC lpfnCallback,
      LPFNOLEUIHOOK  lpfnOleUIHook         
);
STDAPI_(STDEXPORT void) OleStdMsgFilter_SetInComingCallStatus(
      LPMESSAGEFILTER lpThis, DWORD dwInComingCallStatus);
STDAPI_(STDEXPORT DWORD) OleStdMsgFilter_GetInComingCallStatus(
      LPMESSAGEFILTER lpThis);
STDAPI_(STDEXPORT HANDLEINCOMINGCALLBACKPROC)
   OleStdMsgFilter_SetHandleInComingCallbackProc(
      LPMESSAGEFILTER             lpThis,
      HANDLEINCOMINGCALLBACKPROC  lpfnHandleInComingCallback);
STDAPI_(STDEXPORT BOOL) OleStdMsgFilter_EnableBusyDialog(
      LPMESSAGEFILTER lpThis, BOOL fEnable);
STDAPI_(STDEXPORT BOOL) OleStdMsgFilter_EnableNotRespondingDialog(
      LPMESSAGEFILTER lpThis, BOOL fEnable);
STDAPI_(STDEXPORT HWND) OleStdMsgFilter_SetParentWindow(
      LPMESSAGEFILTER lpThis, HWND hWndParent);
#include <aspop.h>   
#endif 
