/* NOSHIP */
#ifndef _ICANVPRV_
  #define _ICANVPRV_
/*******************************************************************************
* FILE NAME: icanvprv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ICanvasData                                                              *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>

#pragma pack(4)

class ICanvasData : public IBase {
typedef IBase
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
  ICanvasData ( );

/*----------------------------------- Data -----------------------------------*/
Boolean
  fShowWindow;
unsigned long
  fChildCount;
}; // ICanvasData

#pragma pack()

#endif /* _ICANVPRV_ */
