/* NOSHIP */
#ifndef _IDMDPTGH_
#define _IDMDPTGH_
/*******************************************************************************
* FILE NAME: idmdptgh.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IDMDropTargetHandler                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>

class IWindow;
class IDMDropTargetHandlerData;

#pragma pack(4)

#ifdef IC_WIN

class IDMDropTargetHandler : public IHandler {
typedef IHandler
  Inherited;
public:

/*------------------------------- Constructors -------------------------------*/
  IDMDropTargetHandler  ( );
  virtual
    ~IDMDropTargetHandler ( );

/*---------------------------- Event Dispatching -----------------------------*/
  virtual IDMDropTargetHandler
     &handleEventsFor( IWindow* window );

protected:
/*----------------------------- Event Dispatching ----------------------------*/
virtual Boolean
  dispatchHandlerEvent ( IEvent&                event );

private:
/*--------------------------------- Private ----------------------------------*/
IDMDropTargetHandlerData
 *fDMDropTargetHandlerData;

}; // IDMDropTargetHandler

#endif /* IC_WIN */

#pragma pack()

#endif //_IDMDPTGH_
