/**********************************************************************
*                                                                     *
*  IBM(R) VisualAge(TM) for C++ for Windows(R), Version 3.5           *
*                                                                     *
*  PID: 5622-880                                                      *
*  - Licensed Material - Program-Property of IBM                      *
*  (C) Copyright IBM Corp. 1991, 1995 - All Right Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  *
*                                                                     *
*  VisualAge, and IBM are trademarks or registered trademarks of      *
*  International Business Machines Corporation.                       *
*  Windows is a registered trademark of Microsoft Corporation.        *
*                                                                     *
**********************************************************************/

#include <iiexc.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

#define ICCEXCLASSIMPLEMENT(exc)\
  exc::exc (char const* msgText)\
  : exc::InheritedIBM (msgText)\
  { InheritedIBM::logExceptionData (); }\
  exc::exc (char const*, char const* methodName,\
            char const* fileName, unsigned long lineNumber,\
            unsigned long msgID)\
  : exc::InheritedIBM (ICollectionExceptionText (msgID))\
  { InheritedIBM::addLocation\
      (IExceptionLocation (fileName, methodName, lineNumber));\
    InheritedIBM::logExceptionData (); }\
  exc::exc (exc const& e)\
  : exc::InheritedIBM (e) { }\
  exc::~exc () { }\
  void exc::operator= (exc const&) { }

ICCEXCLASSIMPLEMENT(IFullExceptionImpl);
ICCEXCLASSIMPLEMENT(IEmptyExceptionImpl);
ICCEXCLASSIMPLEMENT(INotEmptyExceptionImpl);
ICCEXCLASSIMPLEMENT(INotBoundedExceptionImpl);
ICCEXCLASSIMPLEMENT(ICursorInvalidExceptionImpl);
ICCEXCLASSIMPLEMENT(IPositionInvalidExceptionImpl);
ICCEXCLASSIMPLEMENT(INotContainsKeyExceptionImpl);
ICCEXCLASSIMPLEMENT(IKeyAlreadyExistsExceptionImpl);
ICCEXCLASSIMPLEMENT(IRootAlreadyExistsExceptionImpl);
ICCEXCLASSIMPLEMENT(IChildAlreadyExistsExceptionImpl);
ICCEXCLASSIMPLEMENT(IIdenticalCollectionExceptionImpl);
ICCEXCLASSIMPLEMENT(IInvalidReplacementExceptionImpl);
ICCEXCLASSIMPLEMENT(ICyclicAttachExceptionImpl);

ICCEXCLASSIMPLEMENT(IOutOfCollectionMemoryImpl);


#pragma info (restore)
#pragma pack ()
