/**********************************************************************
*                                                                     *
*  IBM(R) VisualAge(TM) for C++ for Windows(R), Version 3.5           *
*                                                                     *
*  PID: 5622-880                                                      *
*  - Licensed Material - Program-Property of IBM                      *
*  (C) Copyright IBM Corp. 1991, 1995 - All Right Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  *
*                                                                     *
*  VisualAge, and IBM are trademarks or registered trademarks of      *
*  International Business Machines Corporation.                       *
*  Windows is a registered trademark of Microsoft Corporation.        *
*                                                                     *
**********************************************************************/

// -------------------
// IHeapOnSequenceImpl
// -------------------

// public members

template <class Base>
inline void
IHeapOnSequenceImpl <Base>::
operator= (IHeapOnSequenceImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}
#if defined (__LIB_BUILD__)

// private members

template <class Base>
inline Base&
IHeapOnSequenceImpl <Base>::
BaseOf (IHeapOnSequenceImpl <Base> const& collection)
{ return collection.ivBase;
}

template <class Base>
inline IHeapOnSequenceImpl <Base>::Ops&
IHeapOnSequenceImpl <Base>::
OpsOf (IHeapOnSequenceImpl <Base> const& collection)
{ return (Ops&) IACollectionImpl::OpsOf (collection);
}
#endif

// -------------------
// IAHeapOnSequenceOps
// -------------------

// public members

template <class Base>
inline
IAHeapOnSequenceOps <Base>::
~IAHeapOnSequenceOps ()
{
}
