/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswIDropTargetImpl
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    The IDropTarget class definition
 *
 *****************************************************************************/

#ifndef ASIDTARG_H
#define ASIDTARG_H
#include <aspack.h>
class CAswIDropTargetImpl : public CAswIDropTarget
{
public:
   CAswIDropTargetImpl(PASWCONTROL     pCtl,
                       PASWCOMBASE     pCOMBase,
                       PASWDROPTARGET  pTarget);
   STDMETHOD(DragEnter) (LPDATAOBJECT  pDataObj,
                         DWORD         grfKeyState, 
                         POINTL        pt, 
                         LPDWORD       pdwEffect);
   STDMETHOD(DragOver) (DWORD grfKeyState, POINTL pt, LPDWORD pdwEffect);
   STDMETHOD(DragLeave) (void);
   STDMETHOD(Drop) (LPDATAOBJECT pDataObj, 
                    DWORD        grfKeyState,
                    POINTL       pt,
                    LPDWORD      pdwEffect);
private:
   PASWDROPTARGET const m_pTarget;
   DWORD                m_grfKeyStateEnter;
};
#include <aspop.h>
#endif
