/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswIEnumOLEVERBImpl and CAswEnumOLEVERB
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Implementation of a verb enumerator.
 *
 *****************************************************************************/

#ifndef ASIENUMV_H
#define ASIENUMV_H
#include <aspack.h>
class ASWPUBCLASS CAswIEnumOLEVERBImpl;
typedef CAswIEnumOLEVERBImpl ASWPTR * PASWIENUMOLEVERBIMPL;
class ASWPUBCLASS CAswEnumOLEVERB;
typedef CAswEnumOLEVERB ASWPTR * PASWENUMOLEVERB;
class ASWPUBCLASS CAswIEnumOLEVERBImpl : public CAswIEnumOLEVERB
{
public:
   CAswIEnumOLEVERBImpl(PASWCONTROL       pCtl,
                        PASWCOMBASE       pCOMBase,
                        PASWENUMOLEVERB   pEnumVerb);
   ~CAswIEnumOLEVERBImpl(void);
   CAswResult Setup(PASWVERBTABLE pVerbs = NULL,ULONG cVerbs = 0);
   CAswResult Shutdown(BOOL fEmergency = FALSE);
   STDMETHOD(Next) (ULONG celt, LPOLEVERB rgelt, ULONG FAR* pceltFetched);
   STDMETHOD(Skip) (ULONG celt);
   STDMETHOD(Reset) (void);
   STDMETHOD(Clone) (IEnumOLEVERB FAR* FAR* ppenum);
private:
   ULONG         m_iCur;        
   PASWVERBTABLE m_pVerbs;      
   ULONG         m_cVerbs;      
   PASWENUMOLEVERB const   m_pEnumVerb;
};
class CAswEnumOLEVERB : public CAswCOMBase
{
public:
   CAswEnumOLEVERB(PASWCONTROL pCtl,LPUNKNOWN pUnknownOuter);
   ~CAswEnumOLEVERB(void);
   CAswResult Setup(PASWVERBTABLE pVerbs = NULL,ULONG cVerbs = 0);
   CAswResult Shutdown(BOOL fEmergency = FALSE);
   PASWIENUMOLEVERBIMPL GetIEnumOLEVERB(void)
   {
      return &m_enumVerbs;
   };
   virtual void ObjectReleased(void);
#ifndef __DEBUG_ALLOC__
   void FAR* operator new(size_t cb);
   void      operator delete(void FAR* p);
#else
   void FAR* operator new(size_t cb, const char*, size_t);
   void      operator delete(void FAR* p, const char*,size_t);
#endif
private:
   ASWAN_DECLARATIONS(1);
   CAswIEnumOLEVERBImpl m_enumVerbs;
};
#include <aspop.h>
#endif 
