/* NOSHIP */
/*****************************************************************************
 *
 * aspack.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    packing macros - see aspop.h
 *    Turn on ASWAN default structure packing.  (That is, it disables
 *    automatic alignment of structure fields.)  An include file is needed
 *    because various compilers do this in different ways.  For Microsoft
 *    compatible compilers, this files uses the push option to the pack pragma
 *    so that the aspop.h include file can restore the previous packing
 *    reliably.
 *
 *    The file aspop.h is the complement to this file.
 *
 *****************************************************************************/

#if defined(_MSC_VER)
   #if ! (defined(lint) || defined(_lint) || defined(RC_INVOKED))
      #pragma warning(disable:4103)
      #if ( _MSC_VER >= 900 )
         #if !(defined( MIDL_PASS )) || defined( __midl )
            #pragma pack(push)
         #endif
      #endif
      #if defined(_WIN32)
         #pragma pack(8)
      #else
         #pragma pack(4)
      #endif
   #endif 
#endif   
#if defined (__IBMCPP__) || defined (__IBMC__)
   #if ! (defined(lint) || defined(_lint) || defined(RC_INVOKED))
      #pragma warning(disable:4103)
      #pragma pack(push)
      #if defined(_WIN32)
         #pragma pack(8)
      #else
         #pragma pack(4)
      #endif
   #endif 
#endif 
