/* NOSHIP */
/*****************************************************************************
 *
 * aspop.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *
 *    This file turns packing of structures off.  (That is, it enables
 *    automatic alignment of structure fields.)  An include file is needed
 *    because various compilers do this in different ways.
 *
 *    aspop.h is the complement to aspack.h.  An inclusion of aspop.h
 *    MUST ALWAYS be preceded by an inclusion of one of aspack.h, in one-to-one
 *    correspondence.
 *
 *    For Microsoft compatible compilers, this file uses the pop option
 *    to the pack pragma so that it can restore the previous saved by the
 *    aspack.h include file.
 *
 *****************************************************************************/

#if defined(_MSC_VER)
   #if ! (defined(lint) || defined(_lint) || defined(RC_INVOKED))
      #pragma warning(disable:4103)
      #if ( _MSC_VER >= 900 )
         #if !(defined( MIDL_PASS )) || defined( __midl )
            #pragma pack(pop)
         #else
            #pragma pack()
         #endif
      #else
         #pragma pack()
      #endif
   #endif 
#endif   
#if defined (__IBMCPP__) || defined (__IBMC__)
   #if ! (defined(lint) || defined(_lint) || defined(RC_INVOKED))
      #pragma warning(disable:4103)
      #pragma pack(pop)
   #endif 
#endif 
