/* NOSHIP */
/*****************************************************************************
 *
 * asrtcont.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * LIST OF CLASSES IN THIS FILE
 *      CAswRootContainer
 *
 * Description:
 *
 *
 *
 *****************************************************************************/

#ifndef ASWAN_ASRTCONT_H
#define ASWAN_ASRTCONT_H
#include <aspack.h>
class ASWPUBCLASS CAswRootContainer : public CAswContainer
{
public:
   ASWPUBMETHOD CAswRootContainer( PASWCONTROL pAswControl );
   ASWPUBMETHOD ~CAswRootContainer(void);
   CAswResult ASWPUBMETHOD Setup( PASWROOTSTORAGEBASE pRootStorageBase,
                                  BOOL                fContainerSupportsInplace = TRUE,
                                  PASWCONTAINERUNDO   pAswContainerUndo = NULL,
                                  PASWOBJECTINSTANCE  pObjectInstance = NULL,
                                  PASWUILINKCONTAINER pLinkContainer = NULL );
   CAswResult ASWPUBMETHOD Shutdown( BOOL fEmergency = FALSE );
   UINT ASWPUBMETHOD GetRootContainerName( LPASWOLESTR   pszContainerName,
                                           UINT          iBufLen );
   inline CAswResult SetFileMoniker (LPASWCOLESTR pszMonikerName)
   {
      return SetFileName(pszMonikerName);
   }
   inline void SetRootStorage(PASWROOTSTORAGEBASE pRootStorageBase)
   {
      m_pRootStorageBase = pRootStorageBase;
   }
   inline PASWROOTSTORAGEBASE GetRootStorage(void)
   {
      return m_pRootStorageBase;
   }
   inline void ClearRootStorage(void)
   {
      m_pRootStorageBase = NULL;
   }
   virtual PASWROOTSTORAGEBASE ASWPUBMETHOD QueryRootStorage(void);
private:
   inline PASWROOTSTORAGEBASE FindRootStorage(void)
   {
      return (m_pRootStorageBase) ? m_pRootStorageBase : QueryRootStorage();
   }
   PASWROOTSTORAGEBASE  m_pRootStorageBase;
   BOOL                 m_fSetup;
};
#include <aspop.h>
#endif      
