/* NOSHIP */
/*****************************************************************************
 *
 * assumm.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * LIST OF CLASSES IN THIS FILE
 *      CAswSummaryInfoPropSet
 *
 * Description:
 *
 *
 *
 *****************************************************************************/

#ifndef ASSUMM_H
#define ASSUMM_H
#include <aspack.h>
class ASWPUBCLASS CAswSummaryInfoPropSet : public CAswCtlBase
{
public:
   ASWPUBMETHOD CAswSummaryInfoPropSet(PASWCONTROL pControl, LPSTR lpstrFileName); 
   ASWPUBMETHOD CAswSummaryInfoPropSet(PASWCONTROL pControl, PASWSTORAGE pAswStorage); 
   ASWPUBMETHOD ~CAswSummaryInfoPropSet(); 
   CAswResult ASWPUBMETHOD Setup( void ); 
   CAswResult ASWPUBMETHOD Shutdown( BOOL fEmergency = FALSE ); 
   CAswResult ASWPUBMETHOD GetProperty(DWORD PropId, LPVOID lpProp, DWORD dwPropType); 
   CAswResult ASWPUBMETHOD SetProperty(DWORD PropId, LPVOID lpProp, DWORD dwPropType); 
   CAswResult ASWPUBMETHOD DeleteProperty(DWORD PropId); 
   CAswResult ASWPUBMETHOD SetDictionaryEntry(DWORD PropId, LPSTR lpstrHumanName); 
   CAswResult ASWPUBMETHOD GetDictionaryEntry(DWORD PropId, LPSTR lpstrHumanName); 
   CAswResult ASWPUBMETHOD DeleteDictionaryEntry(DWORD PropId); 
private:
   BOOL m_fSetup;
};
#include <aspop.h>
#endif      
