/* NOSHIP */
/*****************************************************************************
 *
 * astserv.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    This file contains the forward declaration of the classes and 
 *    typedefs for the Server component of the Aswan Toolkit.
 *
 *****************************************************************************/

#ifndef ASTSERV_H
#define ASTSERV_H
#include <aspack.h>
FORWARD_CLASS_REF( CAswObjectClass, OBJECTCLASS );
FORWARD_CLASS_REF( CAswObjectInstance, OBJECTINSTANCE );
FORWARD_CLASS_REF( CAswPseudoObject, PSEUDOOBJECT );
FORWARD_CLASS_REF( CAswServAccel, SERVACCEL );
FORWARD_CLASS_REF( CAswServMenu, SERVMENU );
FORWARD_CLASS_REF( CAswServSpace, SERVSPACE );
FORWARD_CLASS_REF( CAswServUndo, SERVUNDO );
typedef HMENU  ASWPTR * PHMENU;
typedef HACCEL ASWPTR * PHACCEL;
typedef enum
{
   ASW_MENUGROUP_FILE 			= 0,  
   ASW_MENUGROUP_EDIT 			= 1,     
   ASW_MENUGROUP_CONTAINER 	= 2,
   ASW_MENUGROUP_OBJECT 		= 3,   
   ASW_MENUGROUP_WINDOW 		= 4,
   ASW_MENUGROUP_HELP 			= 5, 
   ASW_MENUGROUP_FILE_NOGROUP =10
} ASWMENUGROUP, ASWPTR * PASWMENUGROUP;
typedef struct tagASWSHAREDMENU
{
   short nPosition;  			
   ASWMENUGROUP nGroup;  		
} ASWSHAREDMENU, ASWPTR * PASWSHAREDMENU;
#define CV_BADVERB   0  
#define CV_NOTNOW    1  
#define CV_LAUNCH    2  
#define CV_TRYINPLACE 3 
#define CV_INPLACEONLY 4   
#define CV_HIDE      5  
#define CV_HANDLED   6  
struct tagAswVerbTableEntry
{
   LONG        lVerb;
   LPASWOLESTR lpszVerbName;
   DWORD       fuFlags;
   DWORD       grfAttribs;
   WORD        wCheckVerbCode;
};
typedef struct tagAswVerbTableEntry ASWVERBTABLEENTRY;
typedef struct tagAswVerbTableEntry ASWPTR *PASWVERBTABLE;
#include <aspop.h>
#endif   
