/* NOSHIP */
/*****************************************************************************
 *
 * asuilnkc.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *
 *    Defines these classes:
 *
 *       CAswIOleUILinkContainerImpl
 *
 *          Implementation of IOleUILinkContainer class:
 *
 *          This interface must be implemented by container applications that
 *          want to use the EditLinks dialog. the EditLinks dialog calls back
 *          to the container app to perform the OLE functions to manipulate
 *          the links within the container.
 *
 *****************************************************************************/

#if !defined( ASWAN_ASUILNKC_H )
#define ASWAN_ASUILNKC_H
#include <aspack.h>
class ASWPUBCLASS CAswIOleUILinkContainerImpl : public CAswIOleUILinkContainer
{
public:
   CAswIOleUILinkContainerImpl( PASWCONTROL pCtl,
                                PASWCOMBASE pCOMBase,
                                PASWUILINKCONTAINER  pAswUILinkContainer );
   ~CAswIOleUILinkContainerImpl( void );
   STDMETHOD_ (DWORD, GetNextLink)          ( THIS_
                                              DWORD       dwLink );
   STDMETHOD  (       SetLinkUpdateOptions) ( THIS_
                                              DWORD       dwLink,
                                              DWORD       dwUpdateOpt );
   STDMETHOD  (       GetLinkUpdateOptions) ( THIS_
                                              DWORD       dwLink,
                                              DWORD FAR * lpdwUpdateOpt );
   STDMETHOD  (       SetLinkSource)        ( THIS_
                                              DWORD       dwLink,
                                              LPASWOLESTR       lpszDisplayName,
                                              ULONG       lenFileName,
                                              ULONG FAR * pchEaten,
                                              BOOL        fValidateSource );
   STDMETHOD  (       GetLinkSource)        ( THIS_
                                              DWORD       dwLink,
                                              LPASWOLESTR FAR * lplpszDisplayName,
                                              ULONG FAR * lplenFileName,
                                              LPASWOLESTR FAR * lplpszFullLinkType,
                                              LPASWOLESTR FAR * lplpszShortLinkType,
                                              BOOL FAR *  lpbSourceAvailable,
                                              BOOL FAR *  lpbIsSelected );
   STDMETHOD  (       OpenLinkSource)       ( THIS_
                                              DWORD       dwLink );
   STDMETHOD  (       UpdateLink)           ( THIS_
                                              DWORD       dwLink,
                                              BOOL        fErrorMessage,
                                              BOOL        fErrorAction );
   STDMETHOD  (       CancelLink)           ( THIS_
                                              DWORD       dwLink );
private:
   PASWUILINKCONTAINER        m_pAswUILinkContainer;
};
typedef CAswIOleUILinkContainerImpl ASWPTR * PASWIOLEUILINKCONTAINERIMPL;
#include <aspop.h>
#endif
