/* NOSHIP */
/*****************************************************************************

    File: 	LSIBASE.H

    (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.

    Description: LotusScript base datatype definitions

 *****************************************************************************/

#if !defined(LSIBASE_H)
#    define  LSIBASE_H
#include "lsdefine.h"
#if !defined(LSSRVMGR_H)
#include "lssrvmgr.h"
#endif
#include <string.h>
#if LSAPI_WIN32
#	ifndef WIN32
#		define WIN32
#	endif
#elif LSAPI_WIN16
#	ifndef WIN16
#		define WIN16
#	endif
#elif LSAPI_MAC
#	ifndef MAC
#		define MAC
#	endif
#endif
#if defined(LSADTCLASSID_DECLARE) && !defined(INITGUID)
#define INITGUID
#endif
#include "ltsguid.h"
#if LSCOMPILER_MICROSOFT
#if LSAPI_ANYWIN32
#pragma pack(push, 1)
#else
#pragma pack(1)
#endif
#elif LSCOMPILER_IBMCSET
#pragma pack(1)
#elif LSCOMPILER_WATCOMC
#pragma pack(1)
#endif
#define LSICLI			LSfncED
#define LSICLIPFN		LSfncEP
typedef	LSPTR(void)							LSREFCON;
typedef	LSPTR(void)							LSREGNAME;
#ifdef __BORLANDC__
typedef	LSPTR(struct LSFAR LSsLsxInstance)	LShLSXINSTANCE;
#else
typedef	LSPTR(struct LSsLsxInstance)			LShLSXINSTANCE;
#endif
#if !defined(LSITYPE_H)
typedef	LShLSXINSTANCE						LShINSTANCE;
#endif
typedef	LSPTR(LShINSTANCE)				PLShINSTANCE;
typedef	LSPTR(struct LSsModule)			LShMODULE;
typedef	LSPTR(LShMODULE)					PLShMODULE;
typedef	LSPTR(struct LSsThreadX)		LShTHREAD;
typedef	struct LSsValue					LSVALUE;
typedef	LSPTR(LSVALUE)						PLSVALUE;
#ifdef __BORLANDC__
typedef LSPTR(struct LSFAR ILsiADTControl)	PILSIADTCONTROL;
#else
typedef LSPTR(struct ILsiADTControl)			PILSIADTCONTROL;
#endif
typedef	LSUSHORT								LSBASETYPE;
typedef	LSULONG								LSDATATYPE;
typedef	LSPTR(LSDATATYPE)					PLSDATATYPE;
typedef	LSSSHORT								LSSTATUS;
typedef	LSUSHORT								LSHELPID;
typedef	LSUSHORT								LSPRODID;
typedef	LSFLOAT8								LSsDate;
typedef	LSSSHORT								LSARRDIM;
typedef	LSUSHORT								LSSYMREL;
typedef	LSSYMREL								LShPROC;
typedef enum
{
	LSI_REGNAME_ANSI		= 0,
	LSI_REGNAME_PLATFORM = 0,
	LSI_REGNAME_UNICODE	= 1,
	LSI_REGNAME_LMBCS		= 2,
	LSI_REGNAME_ASCII		= 3,
	__LSI_REGNAME_FORCESHORT = 32767
} LSREGNAMETYPE;
typedef union
{
	LSREGNAME			Reg;
	LSPLTSTR				Plt;
	LSUNISTR				Uni;
	LSPTR(LSUBYTE)		Str;
} LSANYSTR;
#define LSADTCLASSID_DEF(Name,D1,D2,D3,D40,D41,D42,D43,D44,D45,D46,D47) \
		  DEFINE_GUID(Name,D1,D2,D3,D40,D41,D42,D43,D44,D45,D46,D47);
typedef	LSUSHORT								LSADTCLASSRID;
typedef	LSULONG								LSADTCLSIDHDL;
typedef	GUID									LSADTCLASSID;
typedef	LSADTCLASSID const LS_DT_FAR_ &LSADTCLSIDREF;
typedef	LSPTR(const LSADTCLASSID)		LSADTCLSIDPTR;
typedef LSPTR(const LSADTCLASSID)		LSADTCLSIDTBLENTRY;
typedef LSPTR(LSADTCLSIDTBLENTRY)		LSADTCLSIDTBL;
struct  LSSsVERSION
{
		int				major;
		int				minor;
		int				reserved;
		int				internal;
		int				opcode;
		char				point;
};
typedef LSPTR(LSSsVERSION)	PLSSVERSION;
#if LSCOMPILER_MICROSOFT
#if LSAPI_ANYWIN32
#pragma pack(pop)
#else
#pragma pack()
#endif
#elif LSCOMPILER_IBMCSET
#pragma pack()
#elif LSCOMPILER_WATCOMC
#pragma pack()
#endif	
#endif 
