/* NOSHIP */
#ifndef _IICONCTP_
#define _IICONCTP_
/*******************************************************************************
* FILE NAME: iiconctp.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IIconControlData  - IconControl private data                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ihandle.hpp>

#pragma pack(4)

#ifdef IC_WIN
/*------------------------------------------------------------------------------
  Private data class for IIconControl.
------------------------------------------------------------------------------*/
class IIconControlData : public IBase {
public:
  IIconControlData( );
  ~IIconControlData( );
  IBitmapHandle  fbmColor;             // Color bitmap, or 0
  IBitmapHandle  fbmMask;              // B/W bitmap mask
};
#endif

/*----------------------------------------------------------------------------*/
/* Resume compiler default packing.                                           */
/*----------------------------------------------------------------------------*/
#pragma pack()

#endif // _IICONCTP_
