/* NOSHIP */
#ifndef _INOTEBK0_
#define _INOTEBK0_
/*******************************************************************************
* FILE NAME: inotebk0.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class(es):                                              *
*     INotebookPageSettingsData                                                *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifdef IC_WIN

extern "C" {
  #ifndef _WIN32
    #define _WIN32
  #endif
  #include <commctrl.h>
}

#ifndef _IBASE_
  #include <ibase.hpp>
#endif

#ifndef _IHANDLE_
  #include <ihandle.hpp>
#endif


struct IOC_ITEM {
  TC_ITEMHEADER  itemHeader;
  unsigned long  ulUserData;
  unsigned long  ulPageStyle;
  IWindowHandle  hPageWindow;
  IWindowHandle  hPageWindowParent;
};

/*------------------------------------------------------------------------------
| INotebookPageSettingsData class definition                                   |
------------------------------------------------------------------------------*/
class INotebookPageSettingsData : public IBase
{
public:
  INotebookPageSettingsData  ( );

virtual
  ~INotebookPageSettingsData ( );


IOC_ITEM
  tabCtrlItem;          // IOC Tab control item structure
};
#endif //IC_WIN

#endif /* _INOTEBK0_ */

