/*******************************************************************************
* FILE NAME: isetcv1.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the initialization of static strings used in the        *
*   ISetCanvas class.                                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Priority INT_MIN (-2147483647 - 1) + 1024 + 512
#pragma priority( -2147482112 )

extern "C" {
   #include <iwindefs.h>
}

#ifndef _INOTIFY_
  #include <inotify.hpp>
#endif

#ifndef _ISETCV_
  #include <isetcv.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _ISETCV1_CPP_
  #include <ipagetun.h>
#endif

// Initialize static objects and notification strings.
#pragma data_seg(ICLStaticConst)
INotificationId const ISetCanvas::textId            = "ISetCanvas::text";
INotificationId const ISetCanvas::deckOrientationId = "ISetCanvas::deckOrientation";
#pragma data_seg()
